|
Menu location |
---|
Part → Create Primitives → Ellipsoid |
Workbenches |
Part, OpenSCAD |
Default shortcut |
None |
Introduced in version |
- |
See also |
.. |
Descriere
Un solid parametric este Elipsoidul care este disponibil din dialogul Create Primitives în Atelierul de lucru Part.
A Part Ellipsoid is a parametric solid that can be created with the
Part Primitives command. In the coordinate system defined by its DatePlacement property, the axes of the ellipsoid are aligned with the X, Y and Z axes, and therefore its center is positioned at the origin.
A Part Ellipsoid can be truncated at the top and/or bottom by changing its DateAngle1 and/or DateAngle2 properties. It can be turned into a segment of an ellipsoid by changing its DateAngle3 property.
Usage
See Part Primitives.
Example

A Part Ellipsoid object created with the scripting example below is shown here.
Proprietăți
See also: Property editor.
A Part Ellipsoid object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:
Data
Attachment
The object has the same attachment properties as a Part Part2DObject.
Ellipsoid
- DateRadius1 (
Length
): The radius of the ellipsoid in its Z direction. The default is2mm
. - DateRadius2 (
Length
): The radius of the ellipsoid in its X direction. The default is4mm
. - DateRadius3 (
Length
): The radius of the ellipsoid in its Y direction. The default is4mm
. - DateAngle1 (
Angle
): The start angle of the elliptical sides of the ellipsoid. Valid range:-90° <= value < 90°
. Must be smaller than DateAngle2. The default is-90°
. - DateAngle2 (
Angle
): The end angle of the elliptical sides of the ellipsoid. Valid range:-90° < value <= 90°
. Must be larger than DateAngle1. The default is90°
. If the total angle of the elliptical sides is smaller than180°
the ellipsoid will be truncated and have a flat face at the top and/or bottom. - DateAngle3 (
Angle
): The total angle of the ellipsoid in its XY plane. Valid range:0° < value <= 360°
. The default is360°
. If it is smaller than360°
the resulting solid will be a segment of an ellipsoid.
Scripting
See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.
A Part Ellipsoid can be created with the addObject()
method of the document:
ellipsoid = FreeCAD.ActiveDocument.addObject("Part::Ellipsoid", "myEllipsoid")
- Where
"myEllipsoid"
is the name for the object. - The function returns the newly created object.
Example:
import FreeCAD as App
doc = App.activeDocument()
ellipsoid = doc.addObject("Part::Ellipsoid", "myEllipsoid")
ellipsoid.Radius1 = 2
ellipsoid.Radius2 = 4
ellipsoid.Radius3 = 6
ellipsoid.Angle1 = -90
ellipsoid.Angle2 = 50
ellipsoid.Angle3 = 300
ellipsoid.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(15, 0, 20))
doc.recompute()
Această pagină este preluată de la https://wiki.freecad.org/Part_Ellipsoid